### Class

# Foundry DebuggerInstruction

#### Description [src]

    abstract class Foundry.DebuggerInstruction : GObject.Object
    {
      /* No available fields */
    }

Represents a single assembly instruction.

#### Ancestors

- GObject

#### Instance methods

###### foundry_debugger_instruction_dup_display_text

No description available.

###### foundry_debugger_instruction_dup_function

No description available.

###### foundry_debugger_instruction_get_instruction_pointer

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerInstruction:display-text

No description available.

###### Foundry.DebuggerInstruction:function

No description available.

###### Foundry.DebuggerInstruction:instruction-pointer

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerInstructionClass {
      GObjectClass parent_class;
      guint64 (* get_instruction_pointer) (
        FoundryDebuggerInstruction* self
      );
      char* (* dup_display_text) (
        FoundryDebuggerInstruction* self
      );
      char* (* dup_function) (
        FoundryDebuggerInstruction* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_instruction_pointer: guint64 (* get_instruction_pointer) ( FoundryDebuggerInstruction* self )`

  No description available.

`dup_display_text: char* (* dup_display_text) ( FoundryDebuggerInstruction* self )`

  No description available.

`dup_function: char* (* dup_function) ( FoundryDebuggerInstruction* self )`

  No description available.

#### Virtual methods

###### Foundry.DebuggerInstructionClass.dup_display_text

No description available.

###### Foundry.DebuggerInstructionClass.dup_function

No description available.

###### Foundry.DebuggerInstructionClass.get_instruction_pointer

No description available.